Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FAuthCtx

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FAuthCtx

All Implemented Interfaces:
  java.io.Serializable

public class R01FAuthCtx
extends java.lang.Object
implements java.io.Serializable

Contiene todo el contexto de seguridad que construye el filtro de autorización y que se pasa al recurso protegido. En este objeto se almacenan los siguientes datos: - Información de usuario - Atributos del contexto de autorizacion - Perfiles del usuario - Información de autorización al recurso

See Also:
  Serialized Form

Field Summary
`java.util.Map` | `attributes`
`java.util.Map` | `authorizedTargets`
`java.util.Date` | `loginDate`
`boolean` | `override`
`java.util.Map` | `profiles`
`R01FUserCtx` | `user`

Constructor Summary
`R01FAuthCtx(boolean theOverride, R01FUserCtx theUser, java.util.Map authAttrs, java.util.Date theLoginDate, java.util.Map theProfiles)` Crea un contexto de autenticación

Method Summary
`java.lang.String` | `getAttribute(java.lang.String attrName)` Devuelve un atributo del contexto (ip, paginaLogin, paginaPortal, paginaPrincipal, lenguaje, etc)
`java.util.Date` | `getLoginDate()` Fecha de login
`R01FProfileCtx` | `getProfile(java.lang.String profileOID)` Devuelve el pefil de usuario cuyo oid coincide con el que se pasa como parametro
`java.util.Iterator` | `getProfilesIterator()` Devuelve un iterador sobre los perfiles del usuario
`R01FTargetCtx` | `getTargetAuth(java.lang.String uriPattern)` Obtiene la configuracion de seguridad del destino en base a la URI que se está solicitando, para lo cual intenta "casar" esta URI con las configuraciones de seguridad del usuario y que se han obtenido del fichero de propiedades y cargado en el filtro de seguridad
`R01FUserCtx` | `getUser()` Datos del usuario
`boolean` | `hasProfile(java.lang.String profileOID)` Devuelve true o false en funcion de si el usuario tiene o no el perfil solicitado
`boolean` | `isOverridingAuthorization()` Indica si se está "pasando" de la autorizacion, es decir, si en el fichero de configuracion de la aplicación se ha establecido el parametro override que indica que NO hay que hacer autorizacion
`boolean` | `isValid()` Comprueba si el objeto es valido
`java.lang.String` | `toXML()` Convierte el objeto petición a XML

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### override

    public boolean override

### user

    public R01FUserCtx user

### attributes

    public java.util.Map attributes

### loginDate

    public java.util.Date loginDate

### profiles

    public java.util.Map profiles

### authorizedTargets

    public java.util.Map authorizedTargets

Constructor Detail

### R01FAuthCtx

    public R01FAuthCtx(boolean theOverride,
                       R01FUserCtx theUser,
                       java.util.Map authAttrs,
                       java.util.Date theLoginDate,
                       java.util.Map theProfiles)

  Crea un contexto de autenticación

Parameters:
  `theOverride` - true si se hace override de la configuración
  `theUser` - el usuario
  `authAttrs` - atributos del usuario
  `theLoginDate` - fecha de login
  `theProfiles` - los perfiles del usuario

Method Detail

### isOverridingAuthorization

    public boolean isOverridingAuthorization()

  Indica si se está "pasando" de la autorizacion, es decir, si en el fichero de configuracion de la aplicación se ha establecido el parametro override que indica que NO hay que hacer autorizacion

  Returns:
    true si se está "pasando" de la autorizacion false si se está comprobando

### getUser

    public R01FUserCtx getUser()

  Datos del usuario

  Returns:
    Un objeto con todos los datos sobre el usuario

### getLoginDate

    public java.util.Date getLoginDate()

  Fecha de login

  Returns:
    Un date con la fecha en la que se ha hecho login

### getProfilesIterator

    public java.util.Iterator getProfilesIterator()

  Devuelve un iterador sobre los perfiles del usuario

  Returns:
    Un iterador sobre los perfiles del usuario

### getProfile

    public R01FProfileCtx getProfile(java.lang.String profileOID)

  Devuelve el pefil de usuario cuyo oid coincide con el que se pasa como parametro

  Parameters:
    `profileOID` - El oid del perfil
  Returns:

### getTargetAuth

    public R01FTargetCtx getTargetAuth(java.lang.String uriPattern)

  Obtiene la configuracion de seguridad del destino en base a la URI que se está solicitando, para lo cual intenta "casar" esta URI con las configuraciones de seguridad del usuario y que se han obtenido del fichero de propiedades y cargado en el filtro de seguridad

  Parameters:
    `uriPattern` - El partón de la uri para el destino
  Returns:
    La configuración de seguridad si la uri verifica alguno de los patrones configurados en el fichero properties. Null si la uri no "casa" con ninguno de los patrones del fichero properties

### getAttribute

    public java.lang.String getAttribute(java.lang.String attrName)

  Devuelve un atributo del contexto (ip, paginaLogin, paginaPortal, paginaPrincipal, lenguaje, etc)

  Parameters:
    `attrName` - El nombre del atributo
  Returns:
    El atributo (String)

### hasProfile

    public boolean hasProfile(java.lang.String profileOID)

  Devuelve true o false en funcion de si el usuario tiene o no el perfil solicitado

  Returns:
    True si el usuario tiene el perfil o false si no es asi

### isValid

    public boolean isValid()

  Comprueba si el objeto es valido

  Returns:
    true si el objeto es valido y false si no es asín

### toXML

    public java.lang.String toXML()
                           throws XOMarshallerException

  Convierte el objeto petición a XML

  Returns:
    una cadena con el xml
  Throws:
    `XOMarshallerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD